package cokr.xit.ens.modules.common.ctgy.intgrnbill.nv.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;


/**
 * <ul>
 * <li>업무 그룹명: 네이버페이 간편결제API - 지원은행코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2023. 2. 07. 오후 1:57:43
 * </ul>
 *
 * @author 박민규
 */

public enum NvEpBankCd implements CodeMapperType {
    B002("산업은행"),
    B003("기업은행"),
    B004("국민은행"),
    B005("외환은행"),
    B007("수협"),
    B011("농협"),
    B012("지역농축협"),
    B020("우리은행"),
    B023("SC제일은행"),
    B027("씨티은행"),
    B031("대구은행"),
    B032("부산은행"),
    B034("광주은행"),
    B035("제주은행"),
    B037("전북은행"),
    B039("경남은행"),
    B045("새마을금고"),
    B048("신협"),
    B050("저축은행"),
    B071("우체국"),
    B081("하나은행"),
    B088("신한은행"),
    B089("케이뱅크"),
    B090("카카오뱅크"),
    B092("토스뱅크"),
    B102("대신저축은행"),
    B103("에스비아이저축은행"),
    B104("에이치케이저축은행"),
    B105("웰컴저축은행"),
    B106("신한저축은행"),
    B209("유안타증권"),
    B218("KB증권"),
    B221("상상인증권"),
    B222("한양증권"),
    B223("리딩투자증권"),
    B224("BNK투자증권"),
    B225("IBK투자증권"),
    B227("다올투자증권"),
    B238("미래에셋"),
    B240("삼성증권"),
    B243("한국투자증권"),
    B247("NH투자증권"),
    B261("교보증권"),
    B262("하이투자증권"),
    B263("현대차증권"),
    B264("키움증권"),
    B265("이베스트투자증권"),
    B266("SK증권"),
    B267("대신증권"),
    B269("한화증권"),
    B270("하나금융투자"),
    B278("신한금융투자"),
    B279("DB금융투자"),
    B280("유진투자증권"),
    B287("메리츠증권"),
    B288("카카오페이증권"),
    B290("부국증권"),
    B291("신영증권"),
    B292("케이프투자증권"),
    B293("한국증권금융"),
    B294("한국포스증권"),
    B295("우리종합금융"),
    ;
    @Getter
    private String code;
    @Getter
    private String codeNm;

    NvEpBankCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }
}
